<?php
/**
 * TOP API: alibaba.alihealth.synergy.yzw.savedrugreportbyhttpass request
 * 
 * @author auto create
 * @since 1.0, 2025.10.22
 */
class AlibabaAlihealthSynergyYzwSavedrugreportbyhttpassRequest
{
	/** 
	 * 委托企业
	 **/
	private $assRefEntId;
	
	/** 
	 * 委托企业签章
	 **/
	private $assSealInfo;
	
	/** 
	 * 批次号
	 **/
	private $batchNo;
	
	/** 
	 * 药品ID
	 **/
	private $drugEntBaseInfoId;
	
	/** 
	 * 报告文件
	 **/
	private $files;
	
	/** 
	 * 生产日期
	 **/
	private $produceDate;
	
	/** 
	 * 企业ID
	 **/
	private $refEntId;
	
	/** 
	 * 报告日期
	 **/
	private $reportDate;
	
	/** 
	 * 药检报告号
	 **/
	private $reportNo;
	
	/** 
	 * 本企业签章
	 **/
	private $selfSealInfo;
	
	/** 
	 * 用户id(三方系统标识)
	 **/
	private $userId;
	
	private $apiParas = array();
	
	public function setAssRefEntId($assRefEntId)
	{
		$this->assRefEntId = $assRefEntId;
		$this->apiParas["ass_ref_ent_id"] = $assRefEntId;
	}

	public function getAssRefEntId()
	{
		return $this->assRefEntId;
	}

	public function setAssSealInfo($assSealInfo)
	{
		$this->assSealInfo = $assSealInfo;
		$this->apiParas["ass_seal_info"] = $assSealInfo;
	}

	public function getAssSealInfo()
	{
		return $this->assSealInfo;
	}

	public function setBatchNo($batchNo)
	{
		$this->batchNo = $batchNo;
		$this->apiParas["batch_no"] = $batchNo;
	}

	public function getBatchNo()
	{
		return $this->batchNo;
	}

	public function setDrugEntBaseInfoId($drugEntBaseInfoId)
	{
		$this->drugEntBaseInfoId = $drugEntBaseInfoId;
		$this->apiParas["drug_ent_base_info_id"] = $drugEntBaseInfoId;
	}

	public function getDrugEntBaseInfoId()
	{
		return $this->drugEntBaseInfoId;
	}

	public function setFiles($files)
	{
		$this->files = $files;
		$this->apiParas["files"] = $files;
	}

	public function getFiles()
	{
		return $this->files;
	}

	public function setProduceDate($produceDate)
	{
		$this->produceDate = $produceDate;
		$this->apiParas["produce_date"] = $produceDate;
	}

	public function getProduceDate()
	{
		return $this->produceDate;
	}

	public function setRefEntId($refEntId)
	{
		$this->refEntId = $refEntId;
		$this->apiParas["ref_ent_id"] = $refEntId;
	}

	public function getRefEntId()
	{
		return $this->refEntId;
	}

	public function setReportDate($reportDate)
	{
		$this->reportDate = $reportDate;
		$this->apiParas["report_date"] = $reportDate;
	}

	public function getReportDate()
	{
		return $this->reportDate;
	}

	public function setReportNo($reportNo)
	{
		$this->reportNo = $reportNo;
		$this->apiParas["report_no"] = $reportNo;
	}

	public function getReportNo()
	{
		return $this->reportNo;
	}

	public function setSelfSealInfo($selfSealInfo)
	{
		$this->selfSealInfo = $selfSealInfo;
		$this->apiParas["self_seal_info"] = $selfSealInfo;
	}

	public function getSelfSealInfo()
	{
		return $this->selfSealInfo;
	}

	public function setUserId($userId)
	{
		$this->userId = $userId;
		$this->apiParas["user_id"] = $userId;
	}

	public function getUserId()
	{
		return $this->userId;
	}

	public function getApiMethodName()
	{
		return "alibaba.alihealth.synergy.yzw.savedrugreportbyhttpass";
	}
	
	public function getApiParas()
	{
		return $this->apiParas;
	}
	
	public function check()
	{
		
		RequestCheckUtil::checkNotNull($this->batchNo,"batchNo");
		RequestCheckUtil::checkNotNull($this->drugEntBaseInfoId,"drugEntBaseInfoId");
		RequestCheckUtil::checkNotNull($this->refEntId,"refEntId");
		RequestCheckUtil::checkNotNull($this->userId,"userId");
	}
	
	public function putOtherTextParam($key, $value) {
		$this->apiParas[$key] = $value;
		$this->$key = $value;
	}
}
